<resources>

    <!--
        Base application theme, dependent on API level. This theme is replaced
        by AppBaseTheme from res/values-vXX/styles.xml on newer devices.
    -->
    <style name="AppBaseTheme" parent="android:Theme.Light">
        <!--
            Theme customizations available in newer API levels can go in
            res/values-vXX/styles.xml, while customizations related to
            backward-compatibility can go here.
        -->
    </style>

    <!-- Application theme. -->
    <style name="AppTheme" parent="AppBaseTheme">
        <!-- All customizations that are NOT specific to a particular API-level can go here. -->
    </style>
    
     <!-- 底部按钮风格 字体颜色和背景图 -->
    <style name="bottom_button_style">
        <item name="android:background">@drawable/button_select_style</item>
        <item name="android:textColor">@android:color/white</item>
        <item name="android:layout_height">50dip</item>
    </style>
    <style name="MyNoBgDialog" parent="@android:Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@color/transparent</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>
    <!-- 弹出框动画 由下至上 -->
    <style name="dialog_bottom_to_top_style" parent="@android:style/Animation.Dialog">
        <item name="@android:windowEnterAnimation">@anim/dialog_bottom_to_top_enter</item>
        <!-- 进入时的动画 -->
        <item name="@android:windowExitAnimation">@anim/dialog_top_to_bottom_exit</item>
        <!-- 退出时的动画 -->
    </style>
    <style name="clear_cache_loading_dialog_style" parent="android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowBackground">@android:color/transparent</item>
    </style>
    <style name="Crop"></style>

    <style name="Crop.DoneCancelBar">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/crop__bar_height</item>
        <item name="android:orientation">horizontal</item>
        <item name="android:divider">@drawable/crop__divider</item>
        <item name="android:showDividers" >middle</item>
        <item name="android:dividerPadding">12dp</item>
        <item name="android:background">@color/crop__button_bar</item>
    </style>

    <style name="Crop.ActionButton">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_weight">1</item>
        <item name="android:background">@drawable/crop__selectable_background</item>
    </style>

    <style name="Crop.ActionButtonText">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_gravity">center</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:paddingRight">20dp</item> <!-- Offsets left drawable -->
        <item name="android:drawablePadding">8dp</item>
        <item name="android:textColor">@color/crop__button_text</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">13sp</item>
    </style>

    <style name="Crop.ActionButtonText.Done">
        <item name="android:drawableLeft">@drawable/crop__ic_done</item>
        <item name="android:text">@string/crop__done</item>
    </style>

    <style name="Crop.ActionButtonText.Cancel">
        <item name="android:drawableLeft">@drawable/crop__ic_cancel</item>
        <item name="android:text">@string/crop__cancel</item>
    </style>

</resources>
